AOZ Studio Beta - Bug #141

Ordering the Screen layers are not working now
02/06/2020 05:04 PM - Giovanni Cardona

Status: Feedback Start date: 02/06/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.5

Affected version: 0.9.4

Description

Hello Wizards;

| uploaded to AOZ a screen demo | was working on a Pre-AOZ engine, and there’s something wrong now with the manipulation of
screen layers. It seems like it is inverted and jumping a number.

Can'’t precisely explain what is happening so | made two screen recordings to demonstrate the issue.

The culprit code is a loop that move screen 1 back and forth between layers.

screen 1 : 'scale and move up ball between screens
Bob Scale 1,1/lyball,1/lyball
Bob 1, (mscreenHalfx-bobhalfsize), (mscreenHalfy-bobhalfsize)-(lyball*bobquartsize) +bobg
uartsize, 1l

're—arrange screen layers to move ball between layers
for ly=2 to 4

Screen to back ly

if lyball=ly

Screen to back 1

end if

next ly

I do a loop before this one, that position the screens in order and move it using Screen Display commands.
(Sorry for the sluggish screen recording)

History

#1 - 02/06/2020 05:10 PM - Giovanni Cardona

Sorry | selected this is an issue of 0.9.5, | meant to select 0.9.4 from the list.

#2 - 02/22/2020 06:15 AM - Francois Lionet
- Status changed from New to Feedback
- Assignee set to Francois Lionet

- Target version set to 0.9.5

Please provide me the complete code + graphics (or .AMOS)... | need to be in the same situation and would spend 1/2 hour trying to recreate your
example... ;)

#3 - 02/24/2020 02:11 AM - Anonymous

I'm trying to upload de zip files but it doesn't accept the password | used to create the account :(

#4 - 02/24/2020 02:23 AM - Giovanni Cardona
- File screenlayersAOZ.zip added

- File screenlayers.zip added

Hello. | uploaded the zip files from another account. Sorry for the lack of examples before, | have now a dedicated Windows 10 virtual machine to play
with this (I use mac).
| hope you still can run previous AMOS2 projects and notice that the ordering of the screens seems to be shifted.

#5 - 07/12/2020 10:36 PM - Brian Flanagan
- Affected version changed from 0.9.5 to 0.9.4

Changed affected version per Giovanni Cardona's note.

#6 - 07/12/2020 10:46 PM - Brian Flanagan

Apparently, this is worse now, since screenlayersAOZ.zip doesn't work AT ALL in 0.9.9.3 Test 2.

Files

PREAOZSCREENLAYERS.mov 3.98 MB 02/06/2020 Giovanni Cardona
AOZSCREENLAYERS2.mov 3.8 MB 02/06/2020 Giovanni Cardona
screenlayers.zip 24.4 KB 02/24/2020 Giovanni Cardona
screenlayersAOZ.zip 21.1 KB 02/24/2020 Giovanni Cardona
